[ABit AA8XE] Ubuntu 14.04 NO audio (internal audio device not recognized Dummy Output)

Bug #1319291 reported by Stefano Statuti on 2014-05-14
22
This bug affects 4 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
David Henningsson

Bug Description

hello,

clean install Ubuntu 14.04 (whit internet cable on, update downloading selected on install), at first start I don't have audio on internal Audio card (ABit AA8XE). Before on 12.04 audio work fine.

http://www.alsa-project.org/db/?f=376c0804cbdde90bcd2cb94799407cb1cacf5d05

After this i tried to reinstall (clean install) 14.04 whitout the internet cable.
Same identical problem.

Tried to update the OS on 14 May 2014 but NOT solve my problem.

IF i select Sound settings i retrive "dummy Output"
---
ApportVersion: 2.14.1-0ubuntu3
Architecture: i386
AudioDevicesInUse: Error: command ['fuser', '-v', '/dev/snd/by-path', '/dev/snd/controlC0', '/dev/snd/hwC0D0', '/dev/snd/seq', '/dev/snd/timer'] failed with exit code 1:
DistroRelease: Ubuntu 14.04
InstallationDate: Installed on 2014-05-14 (0 days ago)
InstallationMedia: Ubuntu 14.04 LTS "Trusty Tahr" - Release i386 (20140417)
Package: alsa-driver (not installed)
ProcEnviron:
 LANGUAGE=it
 TERM=xterm
 PATH=(custom, no user)
 LANG=it_IT.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: Ubuntu 3.13.0-24.47-generic 3.13.9
PulseList:
 Error: command ['pacmd', 'list'] failed with exit code 1: Home directory not accessible: Permission denied
 No PulseAudio daemon running, or not running as session daemon.
Tags: trusty
Uname: Linux 3.13.0-24-generic i686
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups:

_MarkForUpload: True
dmi.bios.date: 06/08/2006
dmi.bios.vendor: Phoenix Technologies, LTD
dmi.bios.version: 6.00 PG
dmi.board.name: AA8XE (Intel 925XE-ICH6R)
dmi.board.vendor: http://www.abit.com.tw/
dmi.board.version: 1.x
dmi.chassis.type: 3
dmi.modalias: dmi:bvnPhoenixTechnologies,LTD:bvr6.00PG:bd06/08/2006:svn:pn:pvr:rvnhttp//www.abit.com.tw/:rnAA8XE(Intel925XE-ICH6R):rvr1.x:cvn:ct3:cvr:

apport information

tags: added: apport-collected trusty
description: updated

apport information

apport information

Try specify model=6stack-dig

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/tree/Documentation/sound/alsa/HD-Audio-Models.txt

00:1b.0 0403: 8086:2668 (rev 04)
 Subsystem: 147b:1045

send email to alsa-devel mailing list to add pci quirk since Bios does not setup pin default

 Default 0x00000000: [Jack] Line Out at Ext N/A

Sysfs Files
!!-----------

/sys/class/sound/hwC0D0/init_pin_configs:
0x14 0x00000000
0x15 0x00000000
0x16 0x00000000
0x17 0x00000000
0x18 0x00000000
0x19 0x00000000
0x1a 0x00000000
0x1b 0x00000000
0x1c 0x00000000
0x1d 0x00000000
0x1e 0x00000000
0x1f 0x00000000

mail sended

problem solved

-------------------------------
instructions
-------------------------------
The only way you get your alc880 work is to edit /etc/modprobe.d/alsa-base.conf and add the following line if your motherboard have six audio jacks and digital out at rear panel

options snd-hda-intel model=6stack-digout

or

options snd-hda-intel model=6stack-automute

If your computer chassis have a hda front audio panel which support jack detection

------------------------------------

I not close this bug because because i don't now if this is a bug to be fixed in next kernel update

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
summary: - Ubuntu 14.04 NO audio (internal audio device not recognized Dummy
- Output)
+ [ABit AA8XE] Ubuntu 14.04 NO audio (internal audio device not recognized
+ Dummy Output)

Bios does not set up the pin config default correctly (everything
is set to zero). Reporter claims that 6stack-dig and 6stack-automute
solve the problem.

Alsa-info at http://www.alsa-project.org/db/?f=376c0804cbdde90bcd2cb94799407cb1cacf5d05
BugLink: https://bugs.launchpad.net/bugs/1319291
Reported-by: Stefano Statuti <email address hidden>
Signed-off-by: David Henningsson <email address hidden>
---
 sound/pci/hda/patch_realtek.c | 1 +
 1 file changed, 1 insertion(+)

diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
index d77745a..9c095fa 100644
--- a/sound/pci/hda/patch_realtek.c
+++ b/sound/pci/hda/patch_realtek.c
@@ -1427,6 +1427,7 @@ static const struct snd_pci_quirk alc880_fixup_tbl[] = {
  SND_PCI_QUIRK(0x1043, 0x10c3, "ASUS W5A", ALC880_FIXUP_ASUS_W5A),
  SND_PCI_QUIRK(0x1043, 0x1964, "ASUS Z71V", ALC880_FIXUP_Z71V),
  SND_PCI_QUIRK_VENDOR(0x1043, "ASUS", ALC880_FIXUP_GPIO1),
+ SND_PCI_QUIRK(0x147b, 0x1045, "ABit AA8XE", ALC880_FIXUP_6ST_AUTOMUTE),
  SND_PCI_QUIRK(0x1558, 0x5401, "Clevo GPIO2", ALC880_FIXUP_GPIO2),
  SND_PCI_QUIRK_VENDOR(0x1558, "Clevo", ALC880_FIXUP_EAPD_COEF),
  SND_PCI_QUIRK(0x1584, 0x9050, "Uniwill", ALC880_FIXUP_UNIWILL_DIG),
--
1.9.1

Changed in alsa-driver (Ubuntu):
status: Confirmed → In Progress
assignee: nobody → David Henningsson (diwic)
Takashi Iwai (tiwai) wrote :

At Tue, 10 Jun 2014 10:52:50 +0200,
David Henningsson wrote:
>
> Bios does not set up the pin config default correctly (everything
> is set to zero). Reporter claims that 6stack-dig and 6stack-automute
> solve the problem.
>
> Alsa-info at http://www.alsa-project.org/db/?f=376c0804cbdde90bcd2cb94799407cb1cacf5d05
> BugLink: https://bugs.launchpad.net/bugs/1319291
> Reported-by: Stefano Statuti <email address hidden>
> Signed-off-by: David Henningsson <email address hidden>

Thanks, applied.

Takashi

> ---
> sound/pci/hda/patch_realtek.c | 1 +
> 1 file changed, 1 insertion(+)
>
> diff --git a/sound/pci/hda/patch_realtek.c b/sound/pci/hda/patch_realtek.c
> index d77745a..9c095fa 100644
> --- a/sound/pci/hda/patch_realtek.c
> +++ b/sound/pci/hda/patch_realtek.c
> @@ -1427,6 +1427,7 @@ static const struct snd_pci_quirk alc880_fixup_tbl[] = {
> SND_PCI_QUIRK(0x1043, 0x10c3, "ASUS W5A", ALC880_FIXUP_ASUS_W5A),
> SND_PCI_QUIRK(0x1043, 0x1964, "ASUS Z71V", ALC880_FIXUP_Z71V),
> SND_PCI_QUIRK_VENDOR(0x1043, "ASUS", ALC880_FIXUP_GPIO1),
> + SND_PCI_QUIRK(0x147b, 0x1045, "ABit AA8XE", ALC880_FIXUP_6ST_AUTOMUTE),
> SND_PCI_QUIRK(0x1558, 0x5401, "Clevo GPIO2", ALC880_FIXUP_GPIO2),
> SND_PCI_QUIRK_VENDOR(0x1558, "Clevo", ALC880_FIXUP_EAPD_COEF),
> SND_PCI_QUIRK(0x1584, 0x9050, "Uniwill", ALC880_FIXUP_UNIWILL_DIG),
> --
> 1.9.1
>

David Henningsson (diwic) wrote :

Thanks for the bug report. It will be fixed in kernel 3.16.

Changed in alsa-driver (Ubuntu):
status: In Progress → Fix Committed

thank you for the fix.

Download full text (4.8 KiB)

Hi, neither of the options above fixes this for me on Acer Aspire 5630

ALSA Audio Debug v0.2.0 - Sat Jul 12 15:31:09 BST 2014
http://alsa.opensrc.org/aadebug
http://www.gnu.org/licenses/agpl-3.0.txt

Kernel ----------------------------------------------------
Linux alistair-Aspire-5630 3.13.0-30-generic #55-Ubuntu SMP Fri Jul 4 21:43:42 UTC 2014 i686 i686 i686 GNU/Linux
Advanced Linux Sound Architecture Driver Version k3.13.0-30-generic.

Loaded Modules --------------------------------------------
snd_hda_codec_realtek 51029 1
snd_hda_intel 42730 6
snd_hda_codec 164067 2 snd_hda_codec_realtek,snd_hda_intel
snd_hwdep 13272 1 snd_hda_codec
snd_pcm 85501 2 snd_hda_codec,snd_hda_intel
snd_page_alloc 14230 2 snd_pcm,snd_hda_intel
snd_seq_midi 13132 0
snd_seq_midi_event 14475 1 snd_seq_midi
snd_rawmidi 25135 1 snd_seq_midi
snd_seq 55383 2 snd_seq_midi_event,snd_seq_midi
snd_seq_device 14137 3 snd_seq,snd_rawmidi,snd_seq_midi
snd_timer 28584 2 snd_pcm,snd_seq
snd 60871 22 snd_hda_codec_realtek,snd_hwdep,snd_timer,snd_pcm,snd_seq,snd_rawmidi,snd_hda_codec,snd_hda_intel,snd_seq_device,snd_seq_midi

Proc Asound -----------------------------------------------
 0 [Intel ]: HDA-Intel - HDA Intel
                      HDA Intel at 0xf0340000 irq 45
  1: : sequencer
  2: [ 0- 2]: digital audio capture
  3: [ 0- 0]: digital audio playback
  4: [ 0- 0]: digital audio capture
  5: [ 0- 1]: hardware dependent
  6: [ 0- 0]: hardware dependent
  7: [ 0] : control
 33: : timer
00-01: HDA Codec 1
00-00: HDA Codec 0
00-00: ALC883 Analog : ALC883 Analog : playback 1 : capture 1
00-02: ALC883 Alt Analog : ALC883 Alt Analog : capture 1
Client info
  cur clients : 1
  peak clients : 1
  max clients : 192

Client 0 : "System" [Kernel]
  Port 0 : "Timer" (Rwe-)
  Port 1 : "Announce" (R-e-)
Client 14 : "Midi Through" [Kernel]
  Port 0 : "Midi Through Port-0" (RWe-)

Dev Snd ---------------------------------------------------
total 0
drwxr-xr-x 2 root root 60 Jul 12 14:23 by-path
crw-rw----+ 1 root audio 116, 7 Jul 12 14:23 controlC0
crw-rw----+ 1 root audio 116, 6 Jul 12 14:23 hwC0D0
crw-rw----+ 1 root audio 116, 5 Jul 12 14:23 hwC0D1
crw-rw----+ 1 root audio 116, 4 Jul 12 14:23 pcmC0D0c
crw-rw----+ 1 root audio 116, 3 Jul 12 14:26 pcmC0D0p
crw-rw----+ 1 root audio 116, 2 Jul 12 14:23 pcmC0D2c
crw-rw----+ 1 root audio 116, 1 Jul 12 14:23 seq
crw-rw----+ 1 root audio 116, 33 Jul 12 14:23 timer

CPU -------------------------------------------------------
model name : Intel(R) Core(TM)2 CPU T5500 @ 1.66GHz
cpu MHz : 1667.000
model name : Intel(R) Core(TM)2 CPU T5500 @ 1.66GHz
cpu MHz : 1000.000

RAM -------------------------------------------------------
MemTotal: 2054672 kB
SwapTotal: 2085884 kB

Hardware --------------------------------------------------
00:02.0 VGA compatible controller: Intel Corporation Mobile 945GM/GMS, 943/940GML Express Integrated Graphics Controller (rev 03)
00:1b.0 Audio device: Intel Corporation NM10/ICH7 Family High...

Read more...

Raymond (superquad-vortex2) wrote :

you have to open another bug report for your Acer aspire 5630

https://git.kernel.org/cgit/linux/kernel/git/tiwai/sound.git/commit/sound/pci/hda/patch_realtek.c?id=69e50282b726bab75c8050c4836dc89b7eb7bf1a

Advanced information - PCI Vendor/Device/Susbsystem ID's
!!--------------------------------------------------------

00:1b.0 0403: 8086:27d8 (rev 02)
 Subsystem: 1025:0090

seem different pin default for same pci ssid but diffferent codec ssid

both headphone Jacks haves Misc = NO_PRESENCE

https://bugzilla.novell.com/show_bug.cgi?id=426935

Node 0x14 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out

Pin Default 0xc2211110: [Both] HP Out at Ext Front
    Conn = 1/8, Color = Black
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE

https://bugs.launchpad.net/ubuntu/+source/alsa-driver/+bug/1158252

Node 0x14 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out
  Control: name="Headphone Playback Switch", index=0, device=0
    ControlAmp: chs=3, dir=Out, idx=0, ofs=0
  Amp-In caps: ofs=0x00, nsteps=0x03, stepsize=0x27, mute=0
  Amp-In vals: [0x00 0x00]
  Amp-Out caps: ofs=0x00, nsteps=0x00, stepsize=0x00, mute=1
  Amp-Out vals: [0x00 0x00]
  Pincap 0x0000003e: IN OUT HP Detect Trigger
  Pin Default 0x01214110: [Jack] HP Out at Ext Rear
    Conn = 1/8, Color = Green
    DefAssociation = 0x1, Sequence = 0x0
    Misc = NO_PRESENCE
  Pin-ctls: 0xc0: OUT HP
  Unsolicited: tag=04, enabled=1
  Connection: 5
     0x0c* 0x0d 0x0e 0x0f 0x26

Node 0x16 [Pin Complex] wcaps 0x40018f: Stereo Amp-In Amp-Out

Pin Default 0x99030120: [Fixed] Line Out at Int ATAPI
    Conn = ATAPI, Color = Unknown
    DefAssociation = 0x2, Sequence = 0x0
    Misc = NO_PRESENCE

affects: alsa-driver (Ubuntu) → linux (Ubuntu)
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.